Bug 11000 - CTDB robust mutex support is broken
CTDB robust mutex support is broken
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 11004
Blocks: 10077
  Show dependency treegraph
 
Reported: 2014-12-10 09:29 UTC by Amitay Isaacs
Modified: 2015-01-06 20:24 UTC (History)
4 users (show)

See Also:


Attachments
Patch for v4-2-test (depends on the fix for bug #11004) (8.19 KB, patch)
2014-12-23 22:16 UTC, Stefan Metzmacher
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2014-12-10 09:29:04 UTC
CTDB always uses tdb flags TDB_DEFAULT when opening the database in not-first open case (or the subsequent callers).  However, this does not work with tdb databases that are created with TDB_MUTEX_LOCKING.  tdb_open_ex() requires tdb flags to explicitly mention TDB_MUTEX_LOCKING.
Comment 1 Stefan Metzmacher 2014-12-23 22:16:36 UTC
Created attachment 10559 [details]
Patch for v4-2-test (depends on the fix for bug #11004)
Comment 2 Karolin Seeger 2015-01-02 20:31:15 UTC
Pushed to autobuild-v4-2-test.
Comment 3 Karolin Seeger 2015-01-06 20:24:04 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!